<?php 
namespace Elementor;
if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
/**
 * Blockquote Widget.
 *
 * @version       1.0
 * @author        themebubble
 * @category      Classes
 * @author        themebubble
 */
class RS_Blockquote_Widget extends Widget_Base {

  public function get_name() {
    return 'rs-blockquote-widget';
  }

  public function get_title() {
    return 'Blockquote';
  }

  public function get_icon() {
    return 'elem_icon vc_image_image_block_icon';
  }

  // public function get_script_depends() {
  //   return ['isotope'];
  // }

  // public function get_style_depends() {
  //   return ['section-heading', 'isotope'];
  // }

  public function get_categories() {
    return array('blogit-elementor');
  }


  protected function _register_controls() {
    $this->start_controls_section(
      'image_block_general_settings',
      array(
        'label' => esc_html__( 'General' , 'blogit-addons' )
      )
    );

    $this->add_control(
      'content',
      array(
        'label'       => esc_html__( 'Content', 'blogit-addons' ),
        'type'        => Controls_Manager::TEXTAREA,
        'label_block' => true,
      )
    );

    $this->add_control(
      'cite',
      array(
        'label'       => esc_html__( 'Cite', 'blogit-addons' ),
        'type'        => Controls_Manager::TEXT,
        'label_block' => true,
      )
    );
  }

  protected function render() { 

    $settings  = $this->get_settings(); 

    $cite      = $settings['cite'];
    $content   = $settings['content'];

    $output  =  '<div class="simple-text">';
    $output .=  '<blockquote class="blogit-quote">';
    $output .=  '<p>“'.esc_html($content).'”</p>';
    $output .=  '<footer><cite title="'.esc_html($cite).'">'.esc_html($cite).'</cite></footer>';
    $output .=  '</blockquote>';
    $output .=  '</div>';

    echo $output;

  }


}
Plugin::instance()->widgets_manager->register_widget_type( new RS_Blockquote_Widget() );