<?php 
namespace Elementor;
if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
/**
 * About Us Widget.
 *
 * @version       1.0
 * @author        themebubble
 * @category      Classes
 * @author        themebubble
 */
class RS_Newsletter_Widget extends Widget_Base {

  public function get_name() {
    return 'rs-newsletter-widget';
  }

  public function get_title() {
    return 'Newsletter';
  }

  public function get_icon() {
    return 'elem_icon vc_image_newsletter_icon';
  }

  // public function get_script_depends() {
  //   return ['isotope'];
  // }

  // public function get_style_depends() {
  //   return ['section-heading', 'isotope'];
  // }

  public function get_categories() {
    return array('blogit-elementor');
  }


  protected function _register_controls() {
    $this->start_controls_section(
      'newsletter_general_settings',
      array(
        'label' => esc_html__( 'General' , 'blogit-addons' )
      )
    );

    $this->add_control(
      'style',
      array(
        'label'       => esc_html__( 'Style', 'blogit-addons' ),
        'type'        => Controls_Manager::SELECT,
        'label_block' => true,
        'default'     => 'style1',
        'options'     => array(
          'style1' => 'Style 1',
          'style2' => 'Style 2',
        )
      )
    );

    $this->add_control(
      'image',
      array(
        'label'         => esc_html__( 'Image', 'blogit-addons' ),
        'type'          => Controls_Manager::MEDIA,
        'label_block'   => true,
        'default'       => array('url' => Utils::get_placeholder_image_src()),
        'show_external' => true
      )
    );

    $this->add_control(
      'heading',
      array(
        'label'       => esc_html__( 'Heading', 'blogit-addons' ),
        'type'        => Controls_Manager::TEXT,
        'label_block' => true,
      )
    );

    $this->add_control(
      'content',
      array(
        'label'       => esc_html__( 'Content', 'blogit-addons' ),
        'type'        => Controls_Manager::TEXTAREA,
        'label_block' => true,
      )
    );

    $this->add_control(
      'name_placeholder',
      array(
        'label'       => esc_html__( 'Name Placeholder', 'blogit-addons' ),
        'default'     => 'First Name...',
        'type'        => Controls_Manager::TEXT,
        'label_block' => true,
        'condition'   => array('style' => 'style1')
      )
    );

    $this->add_control(
      'email_placeholder',
      array(
        'label'       => esc_html__( 'Email Placeholder', 'blogit-addons' ),
        'default'     => 'Email Adresss',
        'type'        => Controls_Manager::TEXT,
        'label_block' => true,
      )
    );

    $this->add_control(
      'btn_placeholder',
      array(
        'label'       => esc_html__( 'Button Text', 'blogit-addons' ),
        'default'     => 'Subscribe Now',
        'type'        => Controls_Manager::TEXT,
        'label_block' => true,
      )
    );

    $this->end_controls_section();

    $this->start_controls_section('newsletter_styling_section',
      array(
        'label' => esc_html__('Styling', 'blogit-addons'),
        'tab'   => Controls_Manager::TAB_STYLE,
      )
    );

    $this->add_control('background_color', 
      array(
        'label'       => esc_html__('Background Color', 'blogit-addons'),
        'type'        => Controls_Manager::COLOR,
        'label_block' => true,
        'selectors' => array(
          '{{WRAPPER}} .tt-banner' => 'background: {{VALUE}};',
        ),
      )
    );

    $this->end_controls_section();

  }

  protected function render() { 

    $settings  = $this->get_settings(); 

    $atts = array(
      'style'             => $settings['style'],
      'image'             => $settings['image']['id'],
      'heading'           => $settings['heading'],
      'name_placeholder'  => $settings['name_placeholder'],
      'email_placeholder' => $settings['email_placeholder'],
      'btn_placeholder'   => $settings['btn_placeholder'],
    );

    echo rs_newsletter($atts, $settings['content'], true);

  }


}
Plugin::instance()->widgets_manager->register_widget_type( new RS_Newsletter_Widget() );