<?php 
namespace Elementor;
if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
/**
 * About Us Widget.
 *
 * @version       1.0
 * @author        themebubble
 * @category      Classes
 * @author        themebubble
 */
class RS_Sound_Cloud_Embed_Widget extends Widget_Base {

  public function get_name() {
    return 'rs-sound-cloud-embed-widget';
  }

  public function get_title() {
    return 'Sound Cloud Embed';
  }

  public function get_icon() {
    return 'elem_icon vc_image_soundcloud_icon';
  }

  // public function get_script_depends() {
  //   return ['isotope'];
  // }

  // public function get_style_depends() {
  //   return ['section-heading', 'isotope'];
  // }

  public function get_categories() {
    return array('blogit-elementor');
  }


  protected function _register_controls() {
    $this->start_controls_section(
      'sound_cloud_embed_general_settings',
      array(
        'label' => esc_html__( 'General' , 'blogit-addons' )
      )
    );

    $this->add_control(
      'sound_cloud_url',
      array(
        'label'       => esc_html__( 'Sound Cloud URL', 'blogit-addons' ),
        'type'        => Controls_Manager::TEXTAREA,
        'label_block' => true,
        'default'     => 'https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/272473515&amp;color=ff5500&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false'
      )
    );


    $this->end_controls_section();

  }

  protected function render() { 

    $settings  = $this->get_settings(); 

    $atts = array(
      'sound_cloud_url' => $settings['sound_cloud_url'],
    );

    echo rs_sound_cloud_embed($atts);

  }


}
Plugin::instance()->widgets_manager->register_widget_type( new RS_Sound_Cloud_Embed_Widget() );