<?php 
namespace Elementor;
if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
/**
 * About Us Widget.
 *
 * @version       1.0
 * @author        themebubble
 * @category      Classes
 * @author        themebubble
 */
class RS_Video_Block_Widget extends Widget_Base {

  public function get_name() {
    return 'rs-video-block-widget';
  }

  public function get_title() {
    return 'Video Block';
  }

  public function get_icon() {
    return 'elem_icon vc_image_video_icon';
  }

  // public function get_script_depends() {
  //   return ['isotope'];
  // }

  // public function get_style_depends() {
  //   return ['section-heading', 'isotope'];
  // }

  public function get_categories() {
    return array('blogit-elementor');
  }


  protected function _register_controls() {
    $this->start_controls_section(
      'video_block_general_settings',
      array(
        'label' => esc_html__( 'General' , 'blogit-addons' )
      )
    );

    $this->add_control(
      'video_url',
      array(
        'label'       => esc_html__( 'Video URL', 'blogit-addons' ),
        'type'        => Controls_Manager::TEXT,
        'default'     => 'https://player.vimeo.com/video/171807697?color=f561af&badge=0',
        'label_block' => true,
      )
    );

    $this->end_controls_section();

  }

  protected function render() { 

    $settings  = $this->get_settings(); 

    $atts = array(
      'video_url' => $settings['video_url'],
    );

    echo rs_video_block($atts);

  }


}
Plugin::instance()->widgets_manager->register_widget_type( new RS_Video_Block_Widget() );