<?php 
namespace Elementor;
if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
/**
 * Blockquote Widget.
 *
 * @version       1.0
 * @author        themebubble
 * @category      Classes
 * @author        themebubble
 */
class RS_WP_Post_Gallery_Video_Widget extends Widget_Base {

  public function get_name() {
    return 'rs-wp-post-gallery-video-widget';
  }

  public function get_title() {
    return 'WP Post Gallery/Video';
  }

  public function get_icon() {
    return 'elem_icon vc_image_post_gallery_video_icon';
  }

  public function get_categories() {
    return array('blogit-elementor');
  }


  protected function _register_controls() {
    $this->start_controls_section(
      'rs_wp_post_gallery_video_general_settings',
      array(
        'label' => esc_html__( 'General' , 'blogit-addons' )
      )
    );

    $this->add_control(
      'widget_title',
      array(
        'label'       => esc_html__( 'Widget Title', 'blogit-addons' ),
        'type'        => Controls_Manager::TEXT,
        'label_block' => true,
      )
    );

    $this->add_control(
      'post_id',
      array(
        'label'       => esc_html__( 'Select Post Name', 'blogit-addons' ),
        'type'        => Controls_Manager::SELECT,
        'options'     => array_flip(rs_element_values( 'post', array(
          'post_type'      => 'post',
          'posts_per_page' => -1,
        ) )),
        'label_block' => true,
      )
    );

    $this->end_controls_section();

    
  }

  protected function render() { 

    $settings  = $this->get_settings(); 

    $atts = array(
      'widget_title' => $settings['widget_title'],
      'post_id'      => $settings['post_id'],
      
    );

    echo rs_wp_post_gallery_video($atts);
    
  }


}
Plugin::instance()->widgets_manager->register_widget_type( new RS_WP_Post_Gallery_Video_Widget() );