<?php
/**
 *
 * RS Affiliate Product
 * @since 1.0.0
 * @version 1.0.0
 *
 */
function rs_affiliate_product( $atts, $content = '', $id = '' ) {

  extract( shortcode_atts( array(
    'id'       => '',
    'class'    => '',
    'style'    => 'style1',
    'products' => '',
  ), $atts ) );

  $id    = ( $id ) ? ' id="'. esc_attr($id) .'"' : '';
  $class = ( $class ) ? ' '. blogit_sanitize_html_classes($class) : '';

  $products_data = array();
  $products      = (array) vc_param_group_parse_atts($products);

  foreach ($products as $key => $value) {
    $new_data                     = $value;
    $new_data['image']            = isset( $value['image'] ) ? $value['image'] : '';
    $new_data['regular_price']    = isset( $value['regular_price'] ) ? $value['regular_price'] : '';
    $new_data['discounted_price'] = isset( $value['discounted_price'] ) ? $value['discounted_price'] : '';
    $new_data['currency']         = isset( $value['currency'] ) ? $value['currency'] : '';
    $new_data['title']            = isset( $value['title'] ) ? $value['title'] : '';
    $new_data['btn_text']         = isset( $value['btn_text'] ) ? $value['btn_text'] : '';
    $new_data['link']             = isset( $value['link'] ) ? $value['link'] : '';
    $products_data[]              = $new_data;
  }


  switch ($style) {
    case 'style1':
    default:
      $output =  '<div '.$id.' class="row tt-product-list tt-affiliate-product-style1 tt-style2'.$class.'">';
      foreach ($products_data as $key => $new_value) {
        $image            = $new_value['image'];
        $image_url        = rs_get_image_src($image);
        $link             = $new_value['link'];
        $btn_text         = $new_value['btn_text'];
        $currency         = $new_value['currency'];
        $title            = $new_value['title'];
        $discounted_price = $new_value['discounted_price'];
        $regular_price    = $new_value['regular_price'];

        if (function_exists('vc_parse_multi_attribute')) {
          $parse_args = vc_parse_multi_attribute($link);
          $href       = ( isset($parse_args['url']) ) ? $parse_args['url'] : '#';
          $target     = ( isset($parse_args['target']) ) ? trim($parse_args['target']) : '_self';
        }

        $has_discount_price = (empty($discounted_price)) ? ' no-discount-price':'';

        $discount_percent = (!empty($discounted_price) && !empty($regular_price)) ? (($regular_price - $discounted_price) * 100) / $regular_price:'';


        $output .=  '<div class="col-md-3 col-xs-6">';
        $output .=  '<div class="tt-product tt-style2">';
        if(!empty($discount_percent) && $discount_percent > 0):
          $output .=  '<span class="tt-product-label">'.sprintf('Save %d%s', round($discount_percent, 2), '%').'</span>';
        endif;
        if(!empty($image_url)): 
          $output .=  '<a href="'.esc_url($href).'" class="custom-hover tt-product-img"><img src="'.esc_url($image_url).'" alt="product"></a>';
        endif;
        $output .=  '<div class="tt-post-info">';
        $output .=  '<a href="'.esc_html($href).'" target="'.esc_attr($target).'" class="tt-post-title c-h5 small">'.esc_html($title).' </a>';
        $output .=  '<div class="tt-product-price'.esc_attr($has_discount_price).'">';
        if(!empty($discounted_price)):
          $output .=  '<span class="tt-product-curancy">'.esc_html($currency).'</span>'.esc_html($discounted_price).' ';
        endif;
        if(!empty($regular_price)):
          $output .=  '<span class="tt-original-price">'.esc_html($currency.$regular_price).'</span>';
        endif;
        $output .=  '</div>';
        $output .=  '<div class="empty-space  marg-lg-b15"></div>';
        
        if(!empty($btn_text)):
          $output .=  '<a href="'.esc_url($href).'" target="'.esc_attr($target).'" class="c-btn type-1 style-3 color-8 size-10"><span>'.esc_html($btn_text).'</span></a>';
        endif;


        $output .=  '</div>';
        $output .=  '</div>';
        $output .=  '</div>';
      } 

      $output .=  '</div>';
      # code...
      break;
    
    case 'style2':
      $output  =  '<div class="row">';


      foreach ($products_data as $key => $new_value) {
        $image            = $new_value['image'];
        $image_url        = rs_get_image_src($image);
        $currency         = $new_value['currency'];
        $title            = $new_value['title'];
        $link             = $new_value['link'];
        $discounted_price = $new_value['discounted_price'];
        $regular_price    = $new_value['regular_price'];

        if (function_exists('vc_parse_multi_attribute')) {
          $parse_args = vc_parse_multi_attribute($link);
          $href       = ( isset($parse_args['url']) ) ? $parse_args['url'] : '#';
          $target     = ( isset($parse_args['target']) ) ? trim($parse_args['target']) : '_self';
        }

        $discount_percent = (!empty($discounted_price) && !empty($regular_price)) ? (($regular_price - $discounted_price) * 100) / $regular_price:'';

        $has_discount_price = (empty($discounted_price)) ? ' no-discount-price':'';


        $output .=  '<div class="col-lg-2 col-md-3 col-sm-4 col-xs-6">';
        $output .=  '<div class="tt-product tt-style3">';
        if(!empty($discount_percent) && $discount_percent > 0):
          $output .=  '<span class="tt-product-label">'.sprintf('Save %d%s', round($discount_percent, 2), '%').'</span>';
        endif;
        if(!empty($image_url)): 
          $output .=  '<a href="'.esc_url($href).'" class="custom-hover tt-product-img"><img src="'.esc_url($image_url).'" alt="product"></a>';
        endif;
        $output .=  '<div class="tt-post-info">';
        $output .=  '<a href="'.esc_html($href).'" target="'.esc_attr($target).'" class="tt-post-title c-h5 small">'.esc_html($title).' </a>';
        $output .=  '<div class="tt-product-price tt-small'.esc_attr($has_discount_price).'">';
        if(!empty($discounted_price)):
          $output .=  '<span class="tt-product-curancy">'.esc_html($currency).'</span>'.esc_html($discounted_price).' ';
        endif;
        if(!empty($regular_price)):
          $output .=  '<span class="tt-original-price">'.esc_html($currency.$regular_price).'</span>';
        endif;
        $output .=  '</div>';
        $output .=  '<div class="empty-space  marg-lg-b30"></div>';
        $output .=  '</div>';
        $output .=  '</div>';
        $output .=  '</div>';
      }

      $output .=  '</div>';
          
      break;
  }



  return $output;
}

add_shortcode('rs_affiliate_product', 'rs_affiliate_product');
