<?php
/**
 *
 * RS Affiliate Product List
 * @since 1.0.0
 * @version 1.0.0
 *
 */
function rs_affiliate_product_list( $atts, $content = '', $id = '' ) {

  extract( shortcode_atts( array(
    'id'       => '',
    'class'    => '',
    'products' => '',
  ), $atts ) );

  $id    = ( $id ) ? ' id="'. esc_attr($id) .'"' : '';
  $class = ( $class ) ? ' '. blogit_sanitize_html_classes($class) : '';

  $products_data = array();
  $products      = (array) vc_param_group_parse_atts($products);

  foreach ($products as $key => $value) {
    $new_data              = $value;
    $new_data['image']     = isset( $value['image'] ) ? $value['image'] : '';
    $new_data['title']     = isset( $value['title'] ) ? $value['title'] : '';
    $new_data['link_text'] = isset( $value['link_text'] ) ? $value['link_text'] : '';
    $new_data['link']      = isset( $value['link'] ) ? $value['link'] : '';
    $products_data[]       = $new_data;
  }

  $output = '<ul '.$id.' class="tt-product-list tt-style1'.$class.'">';
  foreach ($products_data as $key => $new_value) {
    $image     = $new_value['image'];
    $image_url = rs_get_image_src($image);    
    $link      = $new_value['link'];

    if (function_exists('vc_parse_multi_attribute')) {
      $parse_args = vc_parse_multi_attribute($link);
      $href       = ( isset($parse_args['url']) ) ? $parse_args['url'] : '#';
      $title      = ( isset($parse_args['title']) ) ? $parse_args['title'] : 'button';
      $target     = ( isset($parse_args['target']) ) ? trim($parse_args['target']) : '_self';
    }
    $output .=  '<li class="tt-product tt-style1">';
    $output .=  '<div class="tt-product-img"><a href="'.esc_url($href).'"><img src="'.esc_url($image_url).'" alt=""></a></div>';
    $output .=  '<div class="tt-product-desc">';
    $output .=  '<h3 class="tt-product-title"><a href="'.esc_url($href).'">'.esc_html($new_value['title']).'</a></h3>';
    $output .=  '<div class="tt-product-stb-title">'.esc_html($new_value['content']).'</div>';
    $output .=  '<a href="'.esc_url($href).'" target="'.esc_attr($target).'" class="tt-explore-btn">'.esc_html($new_value['link_text']).'</a>';
    $output .=  '</div>';
    $output .=  '</li>';
  }
            
  $output .=  '</ul>';


  return $output;
}

add_shortcode('rs_affiliate_product_list', 'rs_affiliate_product_list');
