<?php
/**
 *
 * RS Space
 * @since 1.0.0
 * @version 1.0.0
 *
 */
function rs_inline_related_post( $atts, $content = '', $id = '' ) {

  extract( shortcode_atts( array(
    'heading' => 'Related Posts',
  ), $atts ) );

  $inline_related_margin_top    = blogit_get_opt('inline-realted-margin-top');
  $inline_related_margin_bottom = blogit_get_opt('inline-realted-margin-bottom');

  $inline_related_margin_top    = (!empty($inline_related_margin_top)) ? ' margin-top:'.esc_attr($inline_related_margin_top).'px;':'';
  $inline_related_margin_bottom = (!empty($inline_related_margin_bottom)) ? ' margin-bottom:'.esc_attr($inline_related_margin_bottom).'px;':'';

  $style_attr = (!empty($inline_related_margin_top || !empty($inline_related_margin_bottom))) ? ' style="'.$inline_related_margin_top.$inline_related_margin_bottom.'"':'';

  global $post;
  $tags = wp_get_post_tags($post->ID);

  if(!empty($tags) && is_array($tags)):
    $simlar_tag = $tags[0]->term_id;
    $args = array(
      'tag__in'             => array($simlar_tag),
      'post__not_in'        => array($post->ID),
      'posts_per_page'      => 4,
      'meta_query'          => array(array('key' => '_thumbnail_id', 'compare' => 'EXISTS')),
      'ignore_sticky_posts' => 1,
    );
    ob_start();
    $re_query = new WP_Query($args);
    if($re_query->have_posts()): ?>
      <div class="tt-inline-related-posts"<?php echo wp_kses_post($style_attr); ?>>
        <div class="tt-title-block style7">
          <h3 class="tt-title-text"><?php echo esc_html($heading); ?></h3>
        </div>
        <div class="empty-space marg-lg-b15"></div>
        <div class="tt-inline-related-posts-outer">
          <div class="row">
          <?php while ($re_query->have_posts()) : $re_query->the_post(); ?>

            <div <?php post_class('col-xs-6 col-sm-4 col-lg-3 tt-related-post'); ?>>
              <div class="tt-post type-3">
                <?php blogit_blog_featured_image('blogit-small', 'img-responsive'); ?>
                <div class="tt-post-info">
                  <a class="tt-post-title c-h5 small" href="<?php echo esc_url(get_the_permalink()); ?>"><?php the_title(); ?></a>
                  <?php blogit_blog_author_date(); ?>
                </div>
              </div> 
              <div class="empty-space marg-lg-b20 marg-sm-b15"></div>                 
            </div>
            <div class="clearfix visible-md-block"></div>
            <?php endwhile; wp_reset_postdata(); ?>
          </div>
        </div>


      </div>
    <?php endif;
    $output = ob_get_clean();
    return $output; 
  endif;
}

add_shortcode('rs_inline_related_post', 'rs_inline_related_post');
