<?php
/**
 *
 * RS Space
 * @since 1.0.0
 * @version 1.0.0
 *
 */
function rs_mailchimp( $atts, $content = '', $id = '' ) {

  extract( shortcode_atts( array(
    'id'               => '',
    'class'            => '',
    'image'            => '',
    'heading'          => '',
    'style'            => 'style1',
    'form_id'          => '',
    'background_color' => ''
  ), $atts ) );

  $id         = ( $id ) ? ' id="'. esc_attr($id) .'"' : '';
  $class      = ( $class ) ? ' '. blogit_sanitize_html_classes($class) : '';
  $style_attr = (!empty($background_color)) ? ' style="background-color:'.esc_attr($background_color).';"':'';


  if(empty($form_id)) { return; }

  switch ($style) {
    case 'style2':
      $output  =  '<div '.$id.' class="tt-subscribe tt-banner tt-mailchimp-style2'.$class.'" '.$style_attr.'>';
      if(is_numeric($image) && !empty($image)):
        $image_src = wp_get_attachment_image_src( $image, 'full' );
        $output .=  '<img class="tt-banner-img" src="'.esc_url($image_src[0]).'" height="149" width="105" alt="">';
      endif;
      $output .=  '<div class="tt-banner-info">';
      $output .=  '<h4 class="tt-banner-title c-h4"><small>'.esc_html($heading).'</small></h4>';
      if(!empty($content)):
        $output .=  '<div class="simple-text">';
        $output .=  '<p>'.wp_kses_data($content).'</p>';
        $output .=  '</div>';
      endif; 

      $output .= do_shortcode('[mc4wp_form id="'.esc_attr($form_id).'"]');



      $output .=  '</div>';
      $output .=  '</div>';
      break;
    
    case 'style1':
    default:
      $output  =  '<div '.$id.' class="tt-subscribe tt-border-block tt-mailchimp-style1'.$class.'">';
      $output .=  '<div class="tt-newsletter">';
      $output .=  '<h4 class="tt-newsletter-title c-h4"><small>'.esc_html($heading).'</small></h4>';

      if(!empty($content)):
        $output .=  '<div class="simple-text">';
        $output .=  '<p>'.wp_kses_data($content).'</p>';
        $output .=  '</div>';
      endif;


      if(is_numeric($image) && !empty($image)):
        $output .=  '<a class="tt-newsletter-img" href="#">';
        $image_src = wp_get_attachment_image_src( $image, 'full' );
        if(isset($image_src[0])):
          $output .=  '<img class="img-responsive" src="'.esc_url($image_src[0]).'" height="149" width="105" alt="">';
        endif;
        $output .=  '</a>';
      endif;

      $output .= do_shortcode('[mc4wp_form id="'.esc_attr($form_id).'"]');

      $output .=  '</div>';
      $output .=  '</div>';
      # code...
      break;
  }

  return $output;

}

add_shortcode('rs_mailchimp', 'rs_mailchimp');
