<?php
/**
 *
 * RS Blog
 * @since 1.0.0
 * @version 1.1.0
 *
 */
function rs_post_vote( $atts, $from_elem = false, $content = '', $id = '' ) {
  wp_enqueue_script('isotope-pkg');
  extract( shortcode_atts( array(
    'id'            => '',
    'class'         => '',
    'orderby'       => 'ID',
    'show_date'     => 'yes',
    'show_author'   => 'yes',
    'show_category' => 'yes',
    'post_per_page' => '4',
  ), $atts ) );

  $id    = ( $id ) ? ' id="'. esc_attr($id) .'"' : '';
  $class = ( $class ) ? ' '. $class : '';
  $args = array(
    'orderby'             => $orderby,
    'posts_per_page'      => $post_per_page,
    'meta_key'            => 'post-enable-vote',
    'meta_value'          =>  1,
    'ignore_sticky_posts' => true
  );

  $args = apply_filters('blogit_block_query_args', $args);

  ob_start();

  $the_query = new WP_Query($args); 
  $max_num_pages = $the_query->max_num_pages;
  ?>

  <div <?php echo esc_attr($id); ?> class="row tt-blog-masonry tt-recent-news tt-post-wrap <?php echo esc_attr($class); ?>">
    <div class="tt-post-upvote isotope isotope-content">
      <div class="grid-sizer col-xs-12 col-sm-6 col-md-2"></div>
      <?php while ($the_query -> have_posts()) : $the_query -> the_post();  ?>
        <div <?php post_class('isotope-item col-xs-12 col-sm-6 col-md-2'); ?>>
          <div class="tt-post">
            <?php blogit_post_format('blogit-big-alt-2', 'img-responsive'); ?>
            <div class="tt-post-info">
              <?php blogit_blog_category($show_category); ?>
              <?php blogit_blog_title('c-h5', true, true); ?>
              <div class="empty-space  marg-lg-b5"></div>
              <?php blogit_post_up_down_vote(get_the_ID(), 'style1'); ?>
            </div>
          </div>
          <div class="empty-space marg-lg-b30 marg-xs-b30"></div>
        </div>
      <?php endwhile; wp_reset_postdata(); ?>
    </div>
    <?php blogit_paging_nav($max_num_pages); ?>
  </div>
  <?php
  $output = ob_get_clean();
  return $output;
}
add_shortcode( 'rs_post_vote', 'rs_post_vote' );
