<?php
/**
 *
 * RS Blog
 * @since 1.0.0
 * @version 1.1.0
 *
 */
function rs_weekly_5_blog( $atts, $from_elem = false, $content = '', $id = '' ) {

  extract( shortcode_atts( array(
    'id'            => '',
    'class'         => '',
    'cats'          => 0,
    'orderby'       => 'ID',
    'order'         => 'DESC',
    'post_per_page' => '5',
  ), $atts ) );

  $id    = ( $id ) ? ' id="'. esc_attr($id) .'"' : '';
  $class = ( $class ) ? ' '. $class : '';

  $args = array(
    'orderby'        => $orderby,
    'order'          => $order,
    'posts_per_page' => $post_per_page,
  );

  if( $cats ) {
    $args['tax_query'] = array(
      array(
        'taxonomy' => 'category',
        'field'    => 'ids',
        'terms'    => ($from_elem) ? $cats:explode(',', $cats)
      )
    );
  }

  $args = apply_filters('blogit_block_query_args', $args);

  ob_start();

  $the_query = new WP_Query($args); 

  if($the_query->have_posts()): ?>



  <div class="row">

    <div class="col-md-6">
      <?php for ($i = 0; $i < 1; $i ++): $the_query -> the_post(); ?>
      <div <?php post_class('tt-post'); ?>>
        <?php blogit_post_format('blogit-big-alt', 'img-responsive', true, '', 'tt-icon-size-large'); ?>
        <div class="tt-post-info">
          <?php blogit_blog_category(); ?>
          <?php blogit_blog_title('c-h2'); ?>
          <?php blogit_blog_author_date(); ?>
          <?php blogit_blog_excerpt(30); ?>
          <?php blogit_blog_post_bottom(); ?>
        </div>
      </div>
      <?php
        if (!$the_query -> have_posts()) :
          break;
        endif; ?>
      <?php endfor; ?>
      <div class="empty-space marg-sm-b30"></div>                       
    </div>

    <?php
      $small_previews_count = $the_query -> post_count - 1;
      if ($the_query -> have_posts() && $small_previews_count > 0):
        $posts_per_column = $post_per_page - 1;
    ?>

    <div class="col-md-6">
      <?php for ($i = 0; $i < $posts_per_column; $i++):

        if (!$the_query -> have_posts()) :
          break;
        endif;
        $the_query -> the_post();
      ?>
      <div <?php post_class('tt-post type-8 clearfix'); ?>>
        <?php blogit_post_format('blogit-medium-alt', 'img-responsive'); ?>
        <div class="tt-post-info">
          <?php blogit_blog_title('c-h5'); ?>
          <?php blogit_blog_excerpt(30); ?>
        </div>
      </div>
      <div class="empty-space marg-lg-b30"></div>
      <?php endfor; ?>
    </div>
    <?php endif; ?>                                                                                               
  </div>

  <?php endif; wp_reset_postdata();

  $output = ob_get_clean();
  return $output;
}
add_shortcode( 'rs_weekly_5_blog', 'rs_weekly_5_blog' );
