<?php
/**
 *
 * @package Author
*/
get_header(); 

global $post, $wp_query;
$curauth    = get_userdata($post->post_author);
$author_box = blogit_get_opt('author-enable-post-box'); 
$layout = blogit_get_opt('author-layout');
?>

<div class="container tt-sticky-area">
  <div class="empty-space marg-lg-b60 marg-sm-b20 marg-xs-b15"></div>
  <?php get_template_part('templates/global/page-before-content'); ?>
    <div class="tt-post-content-wrap">
      <div class="tt-post-content">
        <div class="tt-post-content-in">

            <?php if(!empty($curauth->description) && class_exists('ReduxFramework') && $author_box): ?>
              <div class="tt-author clearfix">
                <a class="tt-author-img" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' )); ?>">
                  <?php echo get_avatar( get_the_author_meta('ID'), 90 ); ?>
                </a>
                <div class="tt-author-info">
                  <a class="tt-author-title" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' )); ?>"><?php the_author(); ?></a>
                  <div class="simple-text font-poppins">
                    <p><?php echo get_the_author_meta('description'); ?></p>
                  </div>
                  <ul class="tt-author-social">
                    <?php blogit_social_links('%s', blogit_get_opt('post-author-social-icons-category')); ?> 1
                  </ul>
                </div>
              </div>
              <div class="empty-space marg-lg-b30 marg-sm-b30 marg-xs-b30"></div>
            <?php endif; 

            switch ($layout) {
              case 'list':
                if(have_posts()): while (have_posts()) : the_post(); 
                  get_template_part('templates/blog/layout/list');
                endwhile; wp_reset_query(); else:
                  get_template_part('templates/content/content-none');
                endif;

                break;

              case 'grid': ?>
                <div class="row grid-layout post-grid-view">
                  <?php if(have_posts()): while (have_posts()) : the_post();
                      get_template_part('templates/blog/layout/grid');
                    endwhile; wp_reset_query(); else:
                      get_template_part('templates/content/content-none');
                  endif; ?>
                </div>
              <?php
                break;
              case 'classic-list':
              default:
                if(have_posts()): $i = 0; while (have_posts()) : the_post();
                  if($i == 0 && has_post_thumbnail()):
                    get_template_part('templates/blog/layout/classic');
                  else:
                    get_template_part('templates/blog/layout/list');
                  endif;
                $i++; endwhile; wp_reset_query(); else:
                  get_template_part('templates/content/content-none');
                endif; 
              break;
            } 
          ?>
          <div class="empty-space marg-lg-b30"></div>
          <?php blogit_paging_nav(false, 'default'); ?>  

        </div>
      </div>
    </div>

  <?php get_template_part('templates/global/page-after-content'); ?> 
  <div class="empty-space marg-lg-b60 marg-sm-b20 marg-xs-b15"></div>
</div>
<?php
get_footer();
