<?php
/*
 * Content Section
*/

$sections[] = array(
  'title' => esc_html__('Content', 'blogit'),
  'desc' => esc_html__('Change the content section configuration.', 'blogit'),
  'icon' => 'fas fa-sliders-h',
  'fields' => array(
    array(
      'id'        => 'page-margin',
      'type'      => 'select',
      'title'     => esc_html__('Content Margin', 'blogit'),
      'subtitle'  => esc_html__('Select desired margin for the content', 'blogit'),
      'options'   => array(
        'top-bottom'  => esc_html__('Top & bottom margin', 'blogit'),
        'only-top'    => esc_html__('Only top margin', 'blogit'),
        'only-bottom' => esc_html__('Only bottom margin', 'blogit'),
        'no-margin'   => esc_html__('No margin', 'blogit'),
      ),
      'default' => 'top-bottom',
    ),
    array(
      'id'       => 'page-show-special-content-before-content',
      'type'     => 'switch', 
      'title'    => esc_html__('Show Special Content Before Page Content', 'blogit'),
      'subtitle' => esc_html__('If on, selected page content will be displayed before content.', 'blogit'),
      'default'  => 0,
    ),
    array(
      'id'       => 'page-before-special-content',
      'type'     => 'select',
      'title'    => esc_html__('Special Content Displayed Before Content', 'blogit'),
      'subtitle' => esc_html__('Select special content item to be displayed before page content', 'blogit'),
      'options'  => blogit_get_special_content_array(),
      'default'  => '',
      'required' => array('page-show-special-content-before-content' ,'=', '1')
    ),
    array(
      'id'       => 'page-show-special-content-after-content',
      'type'     => 'switch', 
      'title'    => esc_html__('Show Special Content After Page Content', 'blogit'),
      'subtitle' => esc_html__('If on, selected page content will be displayed after content.', 'blogit'),
      'default'  => 0,
    ),
    
    array(
      'id'       => 'page-after-special-content',
      'type'     => 'select',
      'title'    => esc_html__('Special Content Displayed After Content', 'blogit'),
      'subtitle' => esc_html__('Select special content item to be displayed after page content', 'blogit'),
      'options'  => blogit_get_special_content_array(),
      'default'  => '',
      'required' => array('page-show-special-content-after-content' ,'=', '1')
    ),
  ),
);
