<?php
/**
 * Pagination
*/
get_header();
wp_enqueue_script('isotope-pkg');
if (get_query_var('paged')) {
  $paged = get_query_var('paged');
} elseif (get_query_var('page')) {
  $paged = get_query_var('page');
} else {
  $paged = 1;
}

$post_args = array(
  'posts_per_page' => get_option('posts_per_page'),
  'orderby'        => 'date',
  'paged'          => $paged,
  'order'          => 'DESC',
  'post_type'      => 'post',
  'post_status'    => 'publish',
  'meta_query'     => array(array('key' => '_thumbnail_id')), 
);

$query = new WP_Query(apply_filters('blogit_block_query_args', $post_args));
if(is_page()) {
  $max_num_pages = $query->max_num_pages;
} else {
  global $wp_query;
  $query = $wp_query;
  $max_num_pages = false;
}

$pagination_template = blogit_get_opt('paged-template');

if($pagination_template == 'masonry'):

?>

  <div class="row tt-blog-masonry">
  <div class="empty-space marg-lg-b60 marg-sm-b20 marg-xs-b15"></div>
   <div class="isotope isotope-content">
    <div class="grid-sizer col-xs-12 col-sm-6 col-md-2"></div>

    <?php while ($query -> have_posts()) : $query -> the_post(); ?>
    <div <?php post_class('isotope-item col-xs-12 col-sm-6 col-md-2'); ?>>
      <div class="tt-post type-2">
        <?php blogit_post_format('blogit-medium', 'img-responsive'); ?>
        <div class="tt-post-info">
          <?php blogit_blog_category(); ?>
          <?php blogit_blog_title('c-h5'); ?>
          <?php blogit_blog_author_date(); ?>
          <?php blogit_blog_excerpt(20); ?>
          <?php blogit_blog_post_bottom(); ?>
        </div>
      </div>
      <div class="empty-space marg-lg-b30 marg-xs-b30"></div> 
    </div>
    <?php endwhile; wp_reset_postdata(); ?>
    </div>
    <?php blogit_paging_nav($max_num_pages, 'default'); ?>
    <div class="empty-space marg-lg-b60 marg-sm-b20 marg-xs-b15"></div>
  </div>

<?php elseif($pagination_template == 'alternative'): ?>

<div class="container">
  <div class="empty-space marg-lg-b60 marg-sm-b20 marg-xs-b15"></div>
  <?php get_template_part('templates/global/page-before-content'); ?>
    <?php if($query -> have_posts()): while ($query -> have_posts()) : $query -> the_post(); ?>
    <?php $post_thumbnail_class = (has_post_thumbnail()) ? 'has-thumbnail':'no-thumbnail'; ?>
    <div <?php post_class('tt-post '.$post_thumbnail_class.' type-6 style-1 clearfix'); ?>>
      <?php blogit_post_format('blogit-big-alt', 'img-responsive'); ?>
      <div class="tt-post-info">
        <?php blogit_blog_category(); ?>
        <?php blogit_blog_title('c-h3', true); ?>
        <?php blogit_blog_excerpt(35); ?>
        <?php blogit_blog_post_read_more(); ?>
      </div>
    </div>
    <div class="empty-space marg-xs-b0 marg-lg-b30"></div>
    <?php endwhile; wp_reset_postdata(); else:
      get_template_part('templates/content', 'none');
    endif; ?>

    <?php blogit_paging_nav($max_num_pages, 'default'); ?>    
  <?php get_template_part('templates/global/page-after-content'); ?> 
</div>
<div class="empty-space marg-lg-b60 marg-sm-b20 marg-xs-b15"></div> 


<?php elseif($pagination_template == 'hand-picked-style8'): ?>

  <div class="container">
    <div class="empty-space marg-lg-b60 marg-sm-b20 marg-xs-b15"></div>
    <?php get_template_part('templates/global/page-before-content'); ?>
      <?php if($query -> have_posts()): while ($query -> have_posts()) : $query -> the_post(); ?>
      <?php $post_thumbnail_class = (has_post_thumbnail()) ? 'has-thumbnail':'no-thumbnail'; ?>
        <div <?php post_class('col-lg-12'); ?>>
          <div class="tt-post tt-border-radius type-10 style-1">
            <?php blogit_post_format('blogit-medium-ver', 'img-responsive', false, '', 'tt-icon-size-medium'); ?>
            <div class="tt-post-info">
              <?php blogit_blog_category(); ?>
              <?php blogit_blog_title('c-h4', false, true, 25); ?>
              <?php blogit_blog_author_date(); ?>
              <?php blogit_blog_post_bottom('no'); ?>
            </div>
          </div>
          <div class="empty-space marg-lg-b20 marg-sm-b20"></div>
        </div><!-- .col -->
      <?php endwhile; wp_reset_postdata(); else:
        get_template_part('templates/content', 'none');
      endif; ?>

      <?php blogit_paging_nav($max_num_pages, 'default'); ?>    
    <?php get_template_part('templates/global/page-after-content'); ?> 
  </div>
  <div class="empty-space marg-lg-b60 marg-sm-b20 marg-xs-b15"></div> 

<?php else: ?>

<div class="container">
  <div class="empty-space marg-lg-b60 marg-sm-b20 marg-xs-b15"></div>
  <?php get_template_part('templates/global/page-before-content'); ?>
    <?php if($query -> have_posts()): while ($query -> have_posts()) : $query -> the_post(); ?>
    <?php $post_thumbnail_class = (has_post_thumbnail()) ? 'has-thumbnail':'no-thumbnail'; ?>
	  <div <?php post_class('tt-post '.$post_thumbnail_class.' type-6 clearfix'); ?>>
	    <?php blogit_post_format('blogit-medium-ver', 'img-responsive'); ?>
	    <div class="tt-post-info">
	      <?php blogit_blog_category(); ?>
	      <?php blogit_blog_title('c-h5'); ?>
	      <?php blogit_blog_author_date(); ?>
	      <?php blogit_blog_excerpt(35); ?>
	      <?php blogit_blog_post_bottom(); ?>
	    </div>
	  </div>
	  <div class="empty-space marg-xs-b0 marg-lg-b30"></div>
    <?php endwhile; wp_reset_postdata(); else:
      get_template_part('templates/content', 'none');
    endif; ?>

    <?php blogit_paging_nav($max_num_pages, 'default'); ?>    
  <?php get_template_part('templates/global/page-after-content'); ?> 
</div>
<div class="empty-space marg-lg-b60 marg-sm-b20 marg-xs-b15"></div>
<?php
endif;
get_footer();
