<?php
/*
 * Sidebar Section
*/

$sections[] = array(
  'title' => esc_html__('Sidebar', 'blogit'),
  'desc' => esc_html__('Change the sidebar and configure it.', 'blogit'),
  'icon' => 'fab fa-trello',
  'fields' => array(
    array(
      'id'        => 'main-layout-local',
      'type'      => 'select',
      'compiler'  => true,
      'title'     => esc_html__('Main Layout', 'blogit'),
      'subtitle'  => esc_html__('Select main content and sidebar alignment. Choose between 1, 2 or 3 column layout.', 'blogit'),
      'options'   => array(
        'default'       => esc_html__('1 Column', 'blogit'),
        'left_sidebar'  => esc_html__('2 - Columns Left', 'blogit'),
        'right_sidebar' => esc_html__('2 - Columns Right', 'blogit'),
        'dual_sidebar'  => esc_html__('3 - Columns Left/Right', 'blogit'),
      ),
      'default'   => '',
    ),
    array(
      'id'        => 'sidebar-local',
      'type'      => 'select',
      'title'     => esc_html__('Sidebar Left', 'blogit'),
      'subtitle'  => esc_html__('Select custom sidebar', 'blogit'),
      'options'   => blogit_get_custom_sidebars_list(),
      'default'   => '',
      'required'  => array('main-layout-local', 'equals', array('left_sidebar', 'dual_sidebar')),
    ),
    array(
      'id'        => 'sidebar-right-local',
      'type'      => 'select',
      'title'     => esc_html__('Sidebar Right', 'blogit'),
      'subtitle'  => esc_html__('Select custom sidebar', 'blogit'),
      'options'   => blogit_get_custom_sidebars_list(),
      'default'   => '',
      'required'  => array('main-layout-local', 'equals', array('right_sidebar', 'dual_sidebar')),
    ),
    array(
      'id'        => 'sidebar-heading-style-local',
      'type'      => 'select',
      'compiler'  => true,
      'title'     => esc_html__('Heading Style', 'blogit'),
      'options'   => array(
        'style1'  => esc_html__('Style 1', 'blogit'),
        'style2'  => esc_html__('Style 2', 'blogit'),
        'style3'  => esc_html__('Style 3', 'blogit'),
        'style4'  => esc_html__('Style 4', 'blogit'),
        'style5'  => esc_html__('Style 5', 'blogit'),
        'style6'  => esc_html__('Style 6', 'blogit'),
        'style7'  => esc_html__('Style 7', 'blogit'),
        'style8'  => esc_html__('Style 8', 'blogit'),
        'style9'  => esc_html__('Style 9', 'blogit'),
        'style10' => esc_html__('Style 10', 'blogit'),
      ),
      'default'   => '',
    ),
  ),
);
