<?php
/*
 * Advanced
*/
$this->sections[] = array(
  'title' => esc_html__('Archive Page', 'blogit'),
  'desc' => esc_html__('Archive page confugration.', 'blogit'),
  'icon'  => 'far fa-file-archive',
  'fields' => array(
    array(
      'id'        => 'archive-layout',
      'type'      => 'select',
      'compiler'  => true,
      'title'     => esc_html__('Layout', 'blogit'),
      'options'   => array(
        'classic-list' => esc_html__('Classic + List', 'blogit'),
        'list'         => esc_html__('List', 'blogit'),
        'grid'         => esc_html__('Grid', 'blogit'),
      ),
      'default'   => 'classic-list',
    ),
    array(
      'id'        => 'archive-sidebar-layout',
      'type'      => 'select',
      'compiler'  => true,
      'title'     => esc_html__('Layout', 'blogit'),
      'subtitle'  => esc_html__('Select main content and sidebar alignment. Choose between 1, 2 or 3 column layout.', 'blogit'),
      'options'   => array(
        'default'       => esc_html__('1 Column', 'blogit'),
        'left_sidebar'  => esc_html__('2 - Columns Left', 'blogit'),
        'right_sidebar' => esc_html__('2 - Columns Right', 'blogit'),
        'dual_sidebar'  => esc_html__('3 - Columns Left/Right', 'blogit'),
      ),
      'default'   => 'default',
    ),
    array(
      'id'        => 'archive-sidebar-left',
      'type'      => 'select',
      'title'     => esc_html__('Sidebar Left', 'blogit'),
      'subtitle'  => esc_html__('Select custom sidebar', 'blogit'),
      'options'   => blogit_get_custom_sidebars_list(),
      'default'   => '',
      'required'  => array('archive-sidebar-layout', 'equals', array('left_sidebar', 'dual_sidebar')),
    ),
    array(
      'id'        => 'archive-sidebar-right',
      'type'      => 'select',
      'title'     => esc_html__('Sidebar Right', 'blogit'),
      'subtitle'  => esc_html__('Select custom sidebar', 'blogit'),
      'options'   => blogit_get_custom_sidebars_list(),
      'default'   => '',
      'required'  => array('archive-sidebar-layout', 'equals', array('right_sidebar', 'dual_sidebar')),
    ),
    array(
      'id'=>'archive-enable-post-category',
      'type' => 'switch',
      'title' => esc_html__('Category', 'blogit'),
      'subtitle'=> esc_html__('If on, post share section will be displayed on a single post page.', 'blogit'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '1',
    ),
    array(
      'id'=>'archive-enable-post-comment',
      'type' => 'switch',
      'title' => esc_html__('Comment', 'blogit'),
      'subtitle'=> esc_html__('If on, post share section will be displayed on a single post page.', 'blogit'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '1',
    ),
    array(
      'id'=>'archive-enable-post-author',
      'type' => 'switch',
      'title' => esc_html__('Author', 'blogit'),
      'subtitle'=> esc_html__('If on, post share section will be displayed on a single post page.', 'blogit'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '1',
    ),
    array(
      'id'=>'archive-enable-post-date',
      'type' => 'switch',
      'title' => esc_html__('Date', 'blogit'),
      'subtitle'=> esc_html__('If on, post share section will be displayed on a single post page.', 'blogit'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '1',
    ),
    array(
      'id'=>'post-enable-post-view',
      'type' => 'switch',
      'title' => esc_html__('View', 'blogit'),
      'subtitle'=> esc_html__('If on, post share section will be displayed on a single post page.', 'blogit'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '1',
    ),

  ), // #fields
);
