<?php
/*
 * General Section
*/
$this->sections[] = array(
  'title' => esc_html__('General', 'blogit'),
  'desc' => esc_html__('Configure general styles.', 'blogit'),
  'icon'  => 'fa fa-toggle-on',
  'subsection' => true,
  'fields'  => array(
    array(
      'id' => 'general-loader-enable-switch',
      'type' => 'switch',
      'title' => esc_html__('Enable Loader', 'blogit'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '1',
      'subtitle' => esc_html__('If on, this layout part will be displayed.', 'blogit'),
    ),
    array(
      'id'       =>'loader-logo',
      'type'     => 'media',
      'url'      => true,
      'title'    => esc_html__('Loader Logo', 'blogit'),
    ),
    array(
      'id' => 'general-homepage-duplicate-switch',
      'type' => 'switch',
      'title' => esc_html__('No Duplicate Posts In Homepage Blocks?', 'blogit'),
      'options' => array(
        '1' => 'Yes',
        '0' => 'No',
      ),
      'on'  => 'Yes',
      'off' => 'No',
      'desc' => esc_html__('If you have a lot of content or when you are using latest posts slider, you can see duplicate in featured area and homepage blocks. Setting this feature to Yes will remove duplicates.', 'blogit'),
      'default' => '0',
    ),
    array(
      'id'        => 'page-layout',
      'type'      => 'select',
      'compiler'  => true,
      'title'     => esc_html__('Page Layout', 'blogit'),
      'subtitle'  => esc_html__('Select page layout.', 'blogit'),
      'options'   => array(
        'full-page'       => esc_html__('Full', 'blogit'),
        'boxed'  => esc_html__('Boxed', 'blogit'),
      ),
      'default'   => 'full-page',
    ),
        array(
      'id'        => 'theme-skin',
      'type'      => 'select',
      'compiler'  => true,
      'title'     => esc_html__('Theme Skin', 'blogit'),
      'subtitle'  => esc_html__('Select theme skin color.', 'blogit'),
      'options'   => array(
        'theme-default' => esc_html__('Default', 'blogit'),
        'theme-accent'  => esc_html__('Accent', 'blogit'),
      ),
      'default'   => 'theme-default',
    ),
    array(
      'id'        => 'theme-skin-accent-first',
      'type'      => 'color',
      'title'     => esc_html__('Accent Color', 'blogit'),
      'desc'     => esc_html__( 'This color is main color.', 'blogit' ),
      'default'   => '',
      'required'  => array('theme-skin', 'equals', array('theme-accent')),
    ),
    array(
      'id'        => 'main-layout',
      'type'      => 'select',
      'compiler'  => true,
      'title'     => esc_html__('Main Layout', 'blogit'),
      'subtitle'  => esc_html__('Select main content and sidebar alignment. Choose between 1 or 2 column layout.', 'blogit'),
      'options'   => array(
        'default'       => esc_html__('1 Column', 'blogit'),
        'left_sidebar'  => esc_html__('2 - Columns Left', 'blogit'),
        'right_sidebar' => esc_html__('2 - Columns Right', 'blogit'),
        'dual_sidebar'  => esc_html__('3 - Columns Left/Right', 'blogit'),
      ),
      'default'   => 'default',
    ),
    array(
      'id'        => 'sidebar',
      'type'      => 'select',
      'title'     => esc_html__('Sidebar Left', 'blogit'),
      'subtitle'  => esc_html__('Select custom sidebar', 'blogit'),
      'options'   => blogit_get_custom_sidebars_list(),
      'default'   => '',
      'required'  => array('main-layout', 'equals', array('left_sidebar', 'dual_sidebar')),
    ),
    array(
      'id'        => 'sidebar-right',
      'type'      => 'select',
      'title'     => esc_html__('Sidebar Right', 'blogit'),
      'subtitle'  => esc_html__('Select custom sidebar', 'blogit'),
      'options'   => blogit_get_custom_sidebars_list(),
      'default'   => '',
      'required'  => array('main-layout', 'equals', array('right_sidebar', 'dual_sidebar')),
    ),
    array(
      'id'       => 'custom-sidebars',
      'type'     => 'multi_text',
      'title'    => esc_html__( 'Custom Sidebars', 'blogit' ),
      'subtitle' => esc_html__( 'Custom sidebars can be assigned to any page or post.', 'blogit' ),
      'desc'     => esc_html__( 'You can add as many custom sidebars as you need.', 'blogit' )
    ),
    array(
      'id'        => 'sidebar-heading-style',
      'type'      => 'select',
      'compiler'  => true,
      'title'     => esc_html__('Heading Style', 'blogit'),
      'options'   => array(
        'style1'  => esc_html__('Style 1', 'blogit'),
        'style2'  => esc_html__('Style 2', 'blogit'),
        'style3'  => esc_html__('Style 3', 'blogit'),
        'style4'  => esc_html__('Style 4', 'blogit'),
        'style5'  => esc_html__('Style 5', 'blogit'),
        'style6'  => esc_html__('Style 6', 'blogit'),
        'style7'  => esc_html__('Style 7', 'blogit'),
        'style8'  => esc_html__('Style 8', 'blogit'),
        'style9'  => esc_html__('Style 9', 'blogit'),
        'style10' => esc_html__('Style 10', 'blogit'),
      ),
      'default'   => 'style1',
    ),
    array(
      'id'        => 'paged-template',
      'type'      => 'select',
      'compiler'  => true,
      'title'     => esc_html__('Pagination Template', 'blogit'),
      'options'   => array(
        'default'            => esc_html__('Default', 'blogit'),
        'alternative'        => esc_html__('Alternative', 'blogit'),
        'hand-picked-style8' => esc_html__('Hand Picked Style 8', 'blogit'),
        'masonry'            => esc_html__('Masonry', 'blogit')
      ),
      'default'   => 'default',
    ),
    array(
      'id' => 'random-number-newsletter',
      'type' => 'info',
      'desc' => '<h3 style="color:#303539;font-weight:500;">'.esc_html__('Newsletter Popup Configuration', 'blogit').'</h3>'
    ),
    array(
      'id' => 'newsletter-popup-enable',
      'type' => 'switch',
      'title' => esc_html__('Enable Popup', 'blogit'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '1',
      'subtitle' => esc_html__('If on, this layout part will be displayed.', 'blogit'),
    ),
    array(
      'id'        => 'newsletter-popup-template',
      'type'      => 'select',
      'compiler'  => true,
      'title'     => esc_html__('Template', 'blogit'),
      'options'   => array(
        'default'    => esc_html__('Default', 'blogit'),
        'mailchimp'  => esc_html__('Mailchimp', 'blogit'),
      ),
      'default'   => 'default',
    ),
    array(
      'id'       =>'newsletter-popup-image',
      'type'     => 'media',
      'url'      => true,
      'title'    => esc_html__('Image', 'blogit'),
    ),
    array(
      'id'    =>'newsletter-popup-heading',
      'type'  => 'text',
      'title' => esc_html__('Heading', 'blogit'),
    ),
    array(
      'id'    =>'newsletter-popup-content',
      'type'  => 'textarea',
      'title' => esc_html__('Content', 'blogit'),
    ),
    array(
      'id'       =>'newsletter-popup-shortcode',
      'type'     => 'textarea',
      'title'    => esc_html__('Shortcode', 'blogit'),
      'required' => array('newsletter-popup-template', 'equals', array('mailchimp')),
      'desc'     => wp_kses_data('Paste your mailchimp shortcode here for e.g [mc4wp_form id="46"]', 'blogit'),
    ),
  ),
);



