<?php
/*
 * Advanced
*/
$this->sections[] = array(
  'title' => esc_html__('Blog Single Posts', 'blogit'),
  'desc' => esc_html__('Blog single posts confugration.', 'blogit'),
  'icon'  => 'far fa-newspaper',
  'fields' => array(
    array(
      'id'        => 'blog-sidebar-layout',
      'type'      => 'select',
      'compiler'  => true,
      'title'     => esc_html__('Layout', 'blogit'),
      'subtitle'  => esc_html__('Select main content and sidebar alignment. Choose between 1, 2 or 3 column layout.', 'blogit'),
      'options'   => array(
        'default'       => esc_html__('1 Column', 'blogit'),
        'left_sidebar'  => esc_html__('2 - Columns Left', 'blogit'),
        'right_sidebar' => esc_html__('2 - Columns Right', 'blogit'),
        'dual_sidebar'  => esc_html__('3 - Columns Left/Right', 'blogit'),
      ),
      'default'   => 'default',
    ),
    array(
      'id'        => 'blog-sidebar-left',
      'type'      => 'select',
      'title'     => esc_html__('Sidebar Left', 'blogit'),
      'subtitle'  => esc_html__('Select custom sidebar', 'blogit'),
      'options'   => blogit_get_custom_sidebars_list(),
      'default'   => '',
      'required'  => array('blog-sidebar-layout', 'equals', array('left_sidebar', 'dual_sidebar')),
    ),
    array(
      'id'        => 'blog-sidebar-right',
      'type'      => 'select',
      'title'     => esc_html__('Sidebar Right', 'blogit'),
      'subtitle'  => esc_html__('Select custom sidebar', 'blogit'),
      'options'   => blogit_get_custom_sidebars_list(),
      'default'   => '',
      'required'  => array('blog-sidebar-layout', 'equals', array('right_sidebar', 'dual_sidebar')),
    ),
    array(
      'id'=>'post-style',
      'type' => 'select',
      'title' => esc_html__('Post Style', 'blogit'),
      'subtitle' => esc_html__('Select post style.', 'blogit'),
      'options' => array(
        'default'                    => esc_html__('Default','blogit'),
        'default-title-left-aligned' => esc_html__('Post Title Left','blogit'),
        'default-alt'                => esc_html__('No Hero','blogit'),
        'alternative'                => esc_html__('Big Hero','blogit'),
        'alternative-title-middle'   => esc_html__('Box Hero','blogit'),
        'alternative-big-one'        => esc_html__('Title Below Hero','blogit'),
        'alternative-cover'          => esc_html__('Hero Alternative','blogit'),
      ),
      'default' => 'default',
    ),
    array(
      'id'=>'post-date-format',
      'type' => 'select',
      'title' => esc_html__('Post Date Format', 'blogit'),
      'options' => array(
        'default'         => esc_html__('Default','blogit'),
        'ago-date-format' => esc_html__('Time Ago','blogit'),
      ),
      'default' => 'default',
    ),
    array(
      'id'       =>'post-featured-image-parallax',
      'type'     => 'switch',
      'title'    => esc_html__('Post Featured Imgae Parallax', 'blogit'),
      'subtitle' => esc_html__('If on, parallax will be enabled.', 'blogit'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '0',
      'required' => array('post-style', 'equals', array('alternative', 'alternative-title-middle', 'alternative-cover')),
    ),
    array(
      'id'       => 'post-featured-image-height',
      'type'     => 'text',
      'title'    => esc_html__('Post Featured Image Height', 'blogit'),
      'default'  => '',
      'desc'     => 'Add height (optional)',
      'required' => array('post-style', 'equals', array('alternative', 'alternative-big-one', 'alternative-title-middle', 'alternative-cover')),
    ),
    array(
      'id'=>'post-enable-post-comment',
      'type' => 'switch',
      'title' => esc_html__('Comment', 'blogit'),
      'subtitle'=> esc_html__('If on, post share section will be displayed on a single post page.', 'blogit'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '1',
    ),
    array(
      'id'=>'post-enable-post-author',
      'type' => 'switch',
      'title' => esc_html__('Author', 'blogit'),
      'subtitle'=> esc_html__('If on, post share section will be displayed on a single post page.', 'blogit'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '1',
    ),
    array(
      'id'=>'post-enable-post-date',
      'type' => 'switch',
      'title' => esc_html__('Date', 'blogit'),
      'subtitle'=> esc_html__('If on, post share section will be displayed on a single post page.', 'blogit'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '1',
    ),
    array(
      'id'=>'post-enable-post-category',
      'type' => 'switch',
      'title' => esc_html__('Category', 'blogit'),
      'subtitle'=> esc_html__('If on, post share section will be displayed on a single post page.', 'blogit'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '1',
    ),
    array(
      'id'=>'post-enable-post-share',
      'type' => 'switch',
      'title' => esc_html__('Post Share', 'blogit'),
      'subtitle'=> esc_html__('If on, post share section will be displayed on a single post page.', 'blogit'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '1',
    ),
    array(
      'id'=>'post-enable-author-description',
      'type' => 'switch',
      'title' => esc_html__('Author Description', 'blogit'),
      'subtitle'=> esc_html__('If on, author description will be displayed on a single post page.', 'blogit'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '1',
    ),
    array(
      'id'       => 'post-author-social-icons-category',
      'type'     => 'select',
      'title'    => esc_html__('Author Social Icons Category', 'blogit'),
      'subtitle' => esc_html__('Select desired category', 'blogit'),
      'options'  => blogit_get_terms_assoc('social-site-category'),
      'default'  => '',
      'required' => array('post-enable-author-description', 'equals', array('1')),
    ),
    array(
      'id'=>'post-enable-related-post',
      'type' => 'switch',
      'title' => esc_html__('Related Posts', 'blogit'),
      'subtitle'=> esc_html__('If on, similar posts will be displayed automatically on a single post page.', 'blogit'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '1',
    ),
    array(
      'id'=>'post-enable-next-post-popup',
      'type' => 'switch',
      'title' => esc_html__('Next Post Popup', 'blogit'),
      'subtitle'=> esc_html__('If on, next post poup will appear on scroll.', 'blogit'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '1',
    ),
    array(
      'id'=>'post-next-popup-style',
      'type' => 'select',
      'title' => esc_html__('Next Popup Style', 'blogit'),
      'subtitle' => esc_html__('Select next popup style.', 'blogit'),
      'options' => array(
        'style1' => esc_html__('Style 1','blogit'),
        'style2' => esc_html__('Style 2','blogit'),
      ),
      'default' => 'style1',
    ),
    array(
      'id' => 'random-number',
      'type' => 'info',
      'desc' => '<h3 style="color:#303539;font-weight:500;">'.esc_html__('Mobile Configuration', 'blogit').'</h3>'
    ),
    array(
      'id'=>'mobile-post-enable-similar-post',
      'type' => 'switch',
      'title' => esc_html__('Related Posts on Mobile', 'blogit'),
      'subtitle'=> esc_html__('If on, similar posts will be displayed automatically on mobile.', 'blogit'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '0',
    ),
    array(
      'id'=>'mobile-post-enable-next-post-popup',
      'type' => 'switch',
      'title' => esc_html__('Next Post Popup on Mobile', 'blogit'),
      'subtitle'=> esc_html__('If on, next post poup will appear on scroll on mobile.', 'blogit'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '0',
    ),
    array(
      'id'=>'mobile-post-enable-sticky-video',
      'type' => 'switch',
      'title' => esc_html__('Sticky Video on Mobile', 'blogit'),
      'subtitle'=> esc_html__('If on, sticky video will appear on mobile.', 'blogit'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '0',
    ),


    array(
      'id' => 'random-number',
      'type' => 'info',
      'desc' => '<h3 style="color:#303539;font-weight:500;">'.esc_html__('Inline Related Post Configuration', 'blogit').'</h3>'
    ),
    array(
      'id'=>'inline-related-post-enable',
      'type' => 'switch',
      'title' => esc_html__('Inline Related Post', 'blogit'),
      'subtitle'=> esc_html__('If on, inline related post will be displayed in between content.', 'blogit'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '0',
    ),

    array(
      'id'       =>'inline-realted-heading',
      'type'     => 'text',
      'title'    => esc_html__('Heading', 'blogit'),
      'default'  => esc_html__('Related Posts', 'blogit')
    ),

    array(
      'id'       =>'inline-realted-row-position',
      'type'     => 'text',
      'title'    => esc_html__('Show After How Many Paragraph ?', 'blogit'),
      'default'  => '2',
      'subtitle' => esc_html__('Set after which section want to display inline related post.', 'blogit'),
    ),

    array(
      'id'       =>'inline-realted-margin-top',
      'type'     => 'text',
      'title'    => esc_html__('Margin Top', 'blogit'),
      'default'  => '',
      'subtitle' => esc_html__('All unit value are in px, for e.g 15.', 'blogit'),
    ),

    array(
      'id'       =>'inline-realted-margin-bottom',
      'type'     => 'text',
      'title'    => esc_html__('Margin Bottom', 'blogit'),
      'default'  => '',
      'subtitle' => esc_html__('All unit value are in px, for e.g 15.', 'blogit'),
    ),
    
    array(
      'id' => 'random-number89',
      'type' => 'info',
      'desc' => '<h3 style="color:#303539;font-weight:500;">'.esc_html__('Newsletter Configuration', 'blogit').'</h3>'
    ),
    array(
      'id'       =>'newsletter-enable',
      'type'     => 'switch',
      'title'    => esc_html__('Enable Newsletter', 'blogit'),
      'subtitle' => esc_html__('If on, newsletter will be displayed after post content.', 'blogit'),
      'options' => array(
        '1' => 'On',
        '0' => 'Off',
      ),
      'default' => '0',
    ),
    array(
      'id'    =>'newsletter-image',
      'type'  => 'media',
      'url'   => true,
      'title' => esc_html__('Image', 'blogit'),
    ),
    array(
      'id'       =>'newsletter-heading',
      'type'     => 'text',
      'title'    => esc_html__('Heading', 'blogit'),
      'default'  => esc_html__('We send Love Letters — Weekly.', 'blogit')
    ),
    array(
      'id'       =>'newsletter-content',
      'type'     => 'textarea',
      'title'    => esc_html__('Content', 'blogit'),
      'default'  => esc_html__('Get your inbox filled with best contents all around the globe. Be blessed.', 'blogit')
    ),
    array(
      'id'       =>'newsletter-btn-text',
      'type'     => 'text',
      'title'    => esc_html__('Button Text', 'blogit'),
      'default'  => esc_html__('Sign Up Now.', 'blogit')
    ),
    array(
      'id' => 'random-number189',
      'type' => 'info',
      'desc' => '<h3 style="color:#303539;font-weight:500;">'.esc_html__('Download Button Configuration', 'blogit').'</h3>'
    ),
    array(
      'id'       =>'dl-btn-size',
      'type'     => 'select',
      'title'    => esc_html__('Button Size', 'blogit'),
      'subtitle' => esc_html__('Select download button size.', 'blogit'),
      'options' => array(
        'size-13' => esc_html__('Medium','blogit'),
        'size-14' => esc_html__('Large','blogit'),
      ),
      'default' => 'size-13',
    ),
    array(
      'id'       => 'dl-btn-bg-color',
      'type'     => 'color',
      'title'    => esc_html__('Background Color', 'blogit'),
      'default'  => '',
      'output'   => array('background' => '.tt-post-dl-btn .c-btn.type-1.style-2.color-8', 'border-color' => '.tt-post-dl-btn .c-btn.type-1.style-2.color-8', 'color' => '.tt-post-dl-btn .c-btn.type-1.style-2.color-8:hover'),
    ),
  ), // #fields
);
