
<?php
/**
 * Pagination
 *
 * @package blogit
 * @since 1.0
 */
?>
<?php
  $style = blogit_get_opt('post-next-popup-style');
  $nextPost  = get_next_post();
  if($nextPost):
    $args = array(
      'posts_per_page' => 1,
      'include'        => $nextPost->ID,
    );
    $nextPost = get_posts($args);

    switch ($style) {
      case 'style1':
      default:
        foreach ($nextPost as $post):
          setup_postdata($post);
          $img_src = wp_get_attachment_image_src(get_post_thumbnail_id(), 'blogit-medium-hor'); 
        ?>
          <div class="tt-shortcode-2 visible">
            <div class="tt-post type-4">
              <div class="tt-title-block">
                <h3 class="tt-title-text"><?php echo esc_html__('Next Up', 'blogit'); ?></h3>
                <span class="tt-shortcode-2-close"></span>
              </div>
              <div class="empty-space marg-lg-b20"></div>
              <?php  if(isset($img_src[0])): ?>
                <a class="tt-post-img custom-hover" href="<?php echo esc_url(get_the_permalink()); ?>">
                  <img class="img-responsive" src="<?php echo esc_url($img_src[0]); ?>" alt="<?php echo esc_attr('image', 'blogit'); ?>">
                </a>
              <?php endif; ?>
              <div class="tt-post-info">
                <a class="tt-post-title c-h5" href="<?php echo esc_url(get_the_permalink()); ?>"><small><?php the_title(); ?></small></a>
                <?php blogit_blog_author_date(); ?>
              </div>
            </div>
          </div>
        <?php 
        endforeach; 
        wp_reset_postdata(); 
        # code...
        break;

      case 'style2':
        foreach ($nextPost as $post):
          setup_postdata($post);
          $image_src = blogit_get_image_src(get_post_thumbnail_id());
        ?>
          <div class="tt-shortcode-2 visible tt-post-style5">
            <div class="tt-post tt-post-big custom-hover-image type-2">
              <div class="bg" style="background-image:url(<?php echo esc_url($image_src); ?>);">
                <a class="tt-mslide-link" href="<?php echo esc_url(get_the_permalink()); ?>"></a>
                <div class="tt-mslide-gradient"></div>
              </div>
              <div class="tt-post-info">
                <a class="c-btn type-3 color-2 tt-category custom-category-color">Up Next</a>
                <?php blogit_blog_title('c-h4', true); ?>
                <?php blogit_blog_author_date('yes', 'yes'); ?>
              </div>
            </div>
            <span class="tt-shortcode-2-close"></span>
          </div>
        <?php 
        endforeach; 
        wp_reset_postdata(); 
        # code...
        break;
    }
  endif;

