<?php
/**
 * Classic Layout
 * @package blogit
*/
$image_src = wp_get_attachment_image_src( get_post_thumbnail_id(), 'blogit-big');
$style_attr = (!empty($image_src) && is_array($image_src)) ? 'background-image:url('.$image_src[0].');':'background-color:#666;'; 
?>
<div class="tt-mslide type-2 medium style-3 custom-hover-image">
  <div class="tt-mslide-image tt-mslide bg long" style="<?php echo wp_kses_post($style_attr); ?>">
    <a class="tt-mslide-link" href="<?php echo esc_url(get_the_permalink()); ?>"></a>
  </div>
  <div class="tt-mslide-table">
    <div class="tt-mslide-cell">
      <div class="tt-mslide-block">
        <div class="tt-mslide-cat">
          <?php 
            $category = get_the_category(); 
            if(is_array($category) && !empty($category)):
              foreach($category as $cat): ?>
                <a class="c-btn type-3 color-2" href="<?php echo esc_url(get_category_link($cat->term_id)); ?>"><?php echo esc_html($cat->cat_name); ?></a>
             <?php 
              endforeach;
            endif;
          ?>
        </div>            
        <h2 class="tt-mslide-title c-h2"><a href="<?php echo esc_url(get_the_permalink()); ?>"><?php the_title(); ?></a></h2>
        <div class="tt-blog-user tt-style1">
          <a class="tt-post-avatar tt-blog-user-img" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' )); ?>"><?php echo get_avatar( get_the_author_meta( 'ID' ), 32); ?></a>
          <div class="tt-mslide-label">
            <span><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' )); ?>"><?php echo get_the_author(); ?></a></span>
            <span><?php echo blogit_time_ago(); ?></span>
          </div>
        </div>
      </div>
    </div>          
  </div>
</div>
<div class="empty-space marg-lg-b30"></div>
