<?php
/**
 * Part of footer file ( default style )
 *
 * @package blogit
 * @since 1.0
 */
?>
<footer class="tt-footer" itemscope itemtype="http://schema.org/WPFooter">
  <meta itemprop="name" content="Webpage footer for <?php echo esc_attr( get_bloginfo( 'name' ) ); ?>"/>
  <meta itemprop="description" content="<?php echo esc_attr( get_bloginfo( 'description' ) ); ?>"/>
  <meta itemprop="keywords" content="Data Protection, Copyright Data"/>
  <meta itemprop="copyrightYear" content="<?php echo date("Y"); ?>"/>
  <meta itemprop="copyrightHolder" content="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>"/>
  <?php if(is_active_sidebar('footer-1') || is_active_sidebar('footer-2') || is_active_sidebar('footer-3') || is_active_sidebar('footer-4')): ?>
    <div class="tt-footer-inner">
      <div class="container">
        <div class="row">
          <div class="empty-space marg-lg-b60 marg-sm-b50 marg-xs-b30"></div>
          <?php blogit_footer_columns(); ?>
          <div class="col-md-12"><div class="empty-space marg-lg-b60 marg-sm-b50 marg-xs-b30"></div></div>
        </div>
      </div>
    </div>
  <?php endif; ?>
  <div class="tt-footer-copy">
    <div class="container">
      <?php echo wp_kses_post(blogit_get_default_value('footer-copyright-text', 'Made with coffee & love by <a href="http://www.themebubble.com" target="_blank">ThemeBubble</a> & <a href="https://www.weebfy.com" target="_blank">Weebfy</a> ©All rights reserved.')); ?>
    </div>
  </div>
</footer> 

